%define url_ver %(echo %{version}|cut -d. -f1,2)
%define _appdatadir %{_datadir}/appdata
# if we need tests package enable here.Sflo
%define with_tests 0

Name:		gnome-weather
Version:	3.17.1
Release:	2
Summary:	A weather application for GNOME

License:	GPLv2+ and LGPLv2+ and MIT and CC-BY and CC-BY-SA
Group:		Graphical desktop/GNOME
URL:		https://live.gnome.org/Design/Apps/Weather
Source0:	http://ftp.acc.umu.se/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source100:	gnome-weather.rpmlintrc
# patch from stella/centos
Patch0:		0001-Fix-desktop-file-keywords-translations.patch

BuildRequires:	gjs
BuildRequires:	intltool
BuildRequires:	pkgconfig(gjs-1.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gweather-3.0) >= %{version}
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:	appstream-util
BuildRequires:	desktop-file-utils

Requires:	typelib(GWeather)
Requires:	typelib(GIRepository)
Requires:	typelib(GLib)
Requires:	typelib(GWeather)
Requires:	typelib(Gtk) = 3.0
Requires:	typelib(cairo)
Requires:	gjs
Requires:	%{_lib}pango1.0_0
Requires:	%{_lib}gtk+3_0
Requires:	%{_lib}glib2.0_0
Requires:	%{_lib}gobject2.0_0

BuildArch:	noarch

%description
gnome-weather is a weather application for GNOME

%files -f org.gnome.Weather.lang
%doc NEWS data/CREDITS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Weather.Application.desktop
%{_datadir}/dbus-1/services/org.gnome.Weather.Application.service
%{_datadir}/dbus-1/services/org.gnome.Weather.BackgroundService.service
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.Application.gschema.xml
%dir %{_datadir}/gnome-shell/
%dir %{_datadir}/gnome-shell/search-providers/
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.Application.search-provider.ini
%{_datadir}/icons/*/*/*/*
%{_datadir}/org.gnome.Weather/*
%{_appdatadir}/*.xml

#------------------------------------------------------
%if %{with_tests}
%package tests
Summary:	Tests for the gnome-weather package
Group:		Development/C
Requires:	%{name} = %{EVRD}

%description tests
The gnome-weather-tests package contains tests that can be used to verify
the functionality of the installed gnome-weather package.

%files tests
%doc NEWS data/CREDITS COPYING
%{_libexecdir}/installed-tests/org.gnome.Weather/
%{_datadir}/installed-tests
%endif
#------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%if %{with_tests}
%configure2_5x --disable-static --enable-installed-tests
%else
%configure2_5x --disable-static
%endif

%make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang org.gnome.Weather

%check
appstream-util validate-relax --nonet %{buildroot}%{_appdatadir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Weather.Application.desktop
%changelog

* Wed Jan 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.17.1-2
- (e7a97b9) Build requires gjs

* Sat Aug 29 2015 abfonly <abfonly@gmail.com> 3.17.1-1
- (c0d0d71) Fixed min BR
- (abfonly: 4c0e9e5) Log: update to 3.17.1
- (abfonly: 4c0e9e5) * Fix initial application state when geolocation is disabled
- (abfonly: 4c0e9e5) * Fix temperature unit shown in the menu when not explicitly configured
- (abfonly: 4c0e9e5) * Translation updates
- (abfonly: 4c0e9e5) #
- (abfonly: 4c0e9e5) ready for appdata policy
- (abfonly: 4c0e9e5) tests package added as bcond, disabled for now
- (abfonly: 3b9f01b) Log: update to 3.17.1
- (abfonly: 3b9f01b) * Fix initial application state when geolocation is disabled
- (abfonly: 3b9f01b) * Fix temperature unit shown in the menu when not explicitly configured
- (abfonly: 3b9f01b) * Translation updates
- (abfonly: 3b9f01b) #
- (abfonly: 3b9f01b) ready for appdata policy

* Tue Apr 28 2015 Tigro <ashejn@gmail.com> 3.16.2.1-1
- (fe0bad2) drop icon path
- (Tigro: 7162cc5) update to 3.16.2.1

* Tue Apr 14 2015 Tigro <ashejn@gmail.com> 3.16.1-1
- (e26dc5d) pack file
- (Tigro: 356706f) update to 3.16.1

* Mon Mar 23 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (a6dc978) update to 3.16.0

* Wed Mar 11 2015 Tigro <ashejn@yandex-team.ru> 3.15.91-1
- (34aa2c0) build as noarch
- (Tigro: 83e9b89) pack files
- (Tigro: 9b60544) fix typo
- (Tigro: b25fe26) fix lang
- (Tigro: ba97016) update to 3.15.91

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.1-3
- (5100fe3) MassBuild#440: Increase release tag

* Fri May 23 2014 Tigro <ashejn@gmail.com> 3.12.1-2
- (bdfcbad) fix path
- (Tigro: ecfb195) fix cap in start file

* Tue May 20 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (21731e9) update to 3.12.1

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.0-1
- (17c4a64) drop desktop file
- (Tigro: d91ddd2) drop desktop file
- (Tigro: 7bf6db8) added BR: gweather-3.0
- (Tigro: e3e45ed) update to 3.12.0

* Fri May 31 2013 Tigro <ashejn@gmail.com> 3.8.2-2
- (b7277b3) update Russian and Czech translations

* Tue May 14 2013 Tigro <ashejn@gmail.com> 3.8.2-1
- (a81bec6) update to 3.8.2

* Mon Apr 29 2013 Tigro <ashejn@gmail.com> 3.8.1-3
- (c4038e4) bump release

* Mon Apr 29 2013 Tigro <ashejn@gmail.com> 3.8.1-2
- (bc0ddc2) added autoreq no
- (Tigro: 3b0a08a) another exclude
- (Tigro: 62f09c5) another exclude
- (Tigro: d54270f) another req
- (Tigro: b2f0160) added noureq for typelib
- (Tigro: 85ac421) drop some provides
- (Arkady Shane: 14200b1) drop missing provides


